OGRE: Ogre::HlmsSamplerblock Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::HlmsSamplerblock Struct Reference
Core » Resources

A sampler block contains settings that go hand in hand with a texture, and thus are common to many textures. More...

`#include <OgreHlmsSamplerblock.h>`

Inheritance diagram for Ogre::HlmsSamplerblock:
[legend]

## Public Member Functions
| HlmsSamplerblock ()
bool | operator!= (const HlmsSamplerblock &_r) const
void | setAddressingMode (TextureAddressingMode addressingMode)
void | setFiltering (TextureFilterOptions filterType)
| Helper function to set filtering to the most common settings. More...

## Public Attributes
uint8 | mAllowGlobalDefaults
| When zero, HlmsManager cannot override the block's values with enforced global settings. More...
uint8 | mBlockType
ColourValue | mBorderColour
CompareFunction | mCompareFunction
| Defaults to NUM_COMPARE_FUNCTIONS which means disabled. More...
uint16 | mId
| The mId is only valid while mRefCount > 0; which means mRsData may contain valid data, else it's null. More...
uint16 | mLifetimeId
| Except for HlmsSamplerblocks, mLifetimeId is valid throghout the entire life of HlmsManager. More...
FilterOptions | mMagFilter
float | mMaxAnisotropy
float | mMaxLod
FilterOptions | mMinFilter
float | mMinLod
FilterOptions | mMipFilter
Real | mMipLodBias
| This allows you to adjust the mipmap calculation up or down for a given texture unit. More...
uint16 | mRefCount
| Render-System specific data. More...
void * | mRsData
TextureAddressingMode | mU
TextureAddressingMode | mV
TextureAddressingMode | mW

## Detailed Description

A sampler block contains settings that go hand in hand with a texture, and thus are common to many textures.

This is very analogous to D3D11_SAMPLER_DESC. @See HlmsDatablock Up to 32 different blocks are allowed!

## Constructor & Destructor Documentation

## ◆ HlmsSamplerblock()

Ogre::HlmsSamplerblock::HlmsSamplerblock | ( |  | ) |

## Member Function Documentation

## ◆ operator!=()

bool Ogre::HlmsSamplerblock::operator!= | ( | const HlmsSamplerblock & | _r | ) | const
| inline

References Ogre::BasicBlock::mAllowGlobalDefaults, mBorderColour, mCompareFunction, mMagFilter, mMaxAnisotropy, mMaxLod, mMinFilter, mMinLod, mMipFilter, mMipLodBias, mU, mV, and mW.

## ◆ setAddressingMode()

void Ogre::HlmsSamplerblock::setAddressingMode | ( | TextureAddressingMode | addressingMode | ) |

## ◆ setFiltering()

void Ogre::HlmsSamplerblock::setFiltering | ( | TextureFilterOptions | filterType | ) |

Helper function to set filtering to the most common settings.

## Member Data Documentation

## ◆ mAllowGlobalDefaults

uint8 Ogre::BasicBlock::mAllowGlobalDefaults
| inherited

When zero, HlmsManager cannot override the block's values with enforced global settings.

See also
  HlmsBasicBlock (such as lower quality texture filtering or turning off depth checks for debugging)

Referenced by Ogre::HlmsBlendblock::operator!=(), Ogre::HlmsMacroblock::operator!=(), and operator!=().

## ◆ mBlockType

uint8 Ogre::BasicBlock::mBlockType
| inherited

## ◆ mBorderColour

ColourValue Ogre::HlmsSamplerblock::mBorderColour

Referenced by operator!=().

## ◆ mCompareFunction

CompareFunction Ogre::HlmsSamplerblock::mCompareFunction

Defaults to NUM_COMPARE_FUNCTIONS which means disabled.

Referenced by operator!=().

## ◆ mId

uint16 Ogre::BasicBlock::mId
| inherited

The mId is only valid while mRefCount > 0; which means mRsData may contain valid data, else it's null.

## ◆ mLifetimeId

uint16 Ogre::BasicBlock::mLifetimeId
| inherited

Except for HlmsSamplerblocks, mLifetimeId is valid throghout the entire life of HlmsManager.

This guarantees HlmsMacroblock & HlmsBlendblock pointers are always valid, although they may be inactive (i.e. mId invalid, mRefCount = 0 and mRsData = 0)

## ◆ mMagFilter

FilterOptions Ogre::HlmsSamplerblock::mMagFilter

Referenced by operator!=().

## ◆ mMaxAnisotropy

float Ogre::HlmsSamplerblock::mMaxAnisotropy

Referenced by operator!=().

## ◆ mMaxLod

float Ogre::HlmsSamplerblock::mMaxLod

Referenced by operator!=().

## ◆ mMinFilter

FilterOptions Ogre::HlmsSamplerblock::mMinFilter

Referenced by operator!=().

## ◆ mMinLod

float Ogre::HlmsSamplerblock::mMinLod

Referenced by operator!=().

## ◆ mMipFilter

FilterOptions Ogre::HlmsSamplerblock::mMipFilter

Referenced by operator!=().

## ◆ mMipLodBias

Real Ogre::HlmsSamplerblock::mMipLodBias

This allows you to adjust the mipmap calculation up or down for a given texture unit.

Negative values force a larger mipmap to be used, positive values force a smaller mipmap to be used. Units are in numbers of levels, so +1 forces the mipmaps to one smaller level.

Note
  Only does something if render system has capability RSC_MIPMAP_LOD_BIAS.

Referenced by operator!=().

## ◆ mRefCount

uint16 Ogre::BasicBlock::mRefCount
| inherited

Render-System specific data.

## ◆ mRsData

void* Ogre::BasicBlock::mRsData
| inherited

## ◆ mU

TextureAddressingMode Ogre::HlmsSamplerblock::mU

Referenced by operator!=().

## ◆ mV

TextureAddressingMode Ogre::HlmsSamplerblock::mV

Referenced by operator!=().

## ◆ mW

TextureAddressingMode Ogre::HlmsSamplerblock::mW

Referenced by operator!=().

The documentation for this struct was generated from the following file:

- OgreHlmsSamplerblock.h